pkgsrc-Changes archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
CVS commit: pkgsrc/net/samba4
Module Name: pkgsrc
Committed By: nia
Date: Mon Jun 21 10:23:48 UTC 2021
Modified Files:
pkgsrc/net/samba4: Makefile
pkgsrc/net/samba4/files: nmbd.sh samba.sh smbd.sh winbindd.sh
Log Message:
samba4: Warn before starting if procfs is not mounted on NetBSD...
To generate a diff of this commit:
cvs rdiff -u -r1.125 -r1.126 pkgsrc/net/samba4/Makefile
cvs rdiff -u -r1.1 -r1.2 pkgsrc/net/samba4/files/nmbd.sh \
pkgsrc/net/samba4/files/samba.sh pkgsrc/net/samba4/files/smbd.sh \
pkgsrc/net/samba4/files/winbindd.sh
Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
Modified files:
Index: pkgsrc/net/samba4/Makefile
diff -u pkgsrc/net/samba4/Makefile:1.125 pkgsrc/net/samba4/Makefile:1.126
--- pkgsrc/net/samba4/Makefile:1.125 Tue Jun 1 08:30:17 2021
+++ pkgsrc/net/samba4/Makefile Mon Jun 21 10:23:48 2021
@@ -1,6 +1,7 @@
-# $NetBSD: Makefile,v 1.125 2021/06/01 08:30:17 adam Exp $
+# $NetBSD: Makefile,v 1.126 2021/06/21 10:23:48 nia Exp $
DISTNAME= samba-4.14.5
+PKGREVISION= 1
CATEGORIES= net
MASTER_SITES= https://download.samba.org/pub/samba/stable/
Index: pkgsrc/net/samba4/files/nmbd.sh
diff -u pkgsrc/net/samba4/files/nmbd.sh:1.1 pkgsrc/net/samba4/files/nmbd.sh:1.2
--- pkgsrc/net/samba4/files/nmbd.sh:1.1 Tue May 12 12:19:52 2015
+++ pkgsrc/net/samba4/files/nmbd.sh Mon Jun 21 10:23:48 2021
@@ -1,6 +1,6 @@
#!@RCD_SCRIPTS_SHELL@
#
-# $NetBSD: nmbd.sh,v 1.1 2015/05/12 12:19:52 ryoon Exp $
+# $NetBSD: nmbd.sh,v 1.2 2021/06/21 10:23:48 nia Exp $
#
# PROVIDE: nmbd
# REQUIRE: DAEMON
@@ -13,10 +13,19 @@ command="@PREFIX@/sbin/${name}"
pidfile="@SMB_PID@/${name}.pid"
required_files="@SMB_CONFIG@/smb.conf"
extra_commands="reload"
+start_precmd="nmbd_precmd"
command_args="-D" # _must_ start as daemon from rc.d;
# add more flags through ${${name}_flags}
reload_cmd=":" # avoid dumping debug output on SIGHUP
+nmbd_precmd()
+{
+ if ! [ -f /proc/cpuinfo ]; then
+ echo "WARNING: Samba requires a Linux-compatible procfs!"
+ echo "WARNING: Please mount /proc before starting Samba."
+ fi
+}
+
load_rc_config $name
run_rc_command "$1"
Index: pkgsrc/net/samba4/files/samba.sh
diff -u pkgsrc/net/samba4/files/samba.sh:1.1 pkgsrc/net/samba4/files/samba.sh:1.2
--- pkgsrc/net/samba4/files/samba.sh:1.1 Tue May 12 12:19:52 2015
+++ pkgsrc/net/samba4/files/samba.sh Mon Jun 21 10:23:48 2021
@@ -1,6 +1,6 @@
#!@RCD_SCRIPTS_SHELL@
#
-# $NetBSD: samba.sh,v 1.1 2015/05/12 12:19:52 ryoon Exp $
+# $NetBSD: samba.sh,v 1.2 2021/06/21 10:23:48 nia Exp $
#
# PROVIDE: samba
# REQUIRE: DAEMON
@@ -13,6 +13,15 @@ command="@PREFIX@/sbin/${name}"
pidfile="@SMB_PID@/${name}.pid"
required_files="@SMB_CONFIG@/smb.conf"
extra_commands="reload"
+start_precmd="samba_precmd"
+
+samba_precmd()
+{
+ if ! [ -f /proc/cpuinfo ]; then
+ echo "WARNING: Samba requires a Linux-compatible procfs!"
+ echo "WARNING: Please mount /proc before starting Samba."
+ fi
+}
load_rc_config $name
run_rc_command "$1"
Index: pkgsrc/net/samba4/files/smbd.sh
diff -u pkgsrc/net/samba4/files/smbd.sh:1.1 pkgsrc/net/samba4/files/smbd.sh:1.2
--- pkgsrc/net/samba4/files/smbd.sh:1.1 Tue May 12 12:19:52 2015
+++ pkgsrc/net/samba4/files/smbd.sh Mon Jun 21 10:23:48 2021
@@ -1,6 +1,6 @@
#!@RCD_SCRIPTS_SHELL@
#
-# $NetBSD: smbd.sh,v 1.1 2015/05/12 12:19:52 ryoon Exp $
+# $NetBSD: smbd.sh,v 1.2 2021/06/21 10:23:48 nia Exp $
#
# PROVIDE: smbd
@@ -14,6 +14,7 @@ required_files="@SMB_CONFIG@/smb.conf"
extra_commands="reload"
command_args="-D" # _must_ start as daemon from rc.d;
# add more flags through ${${name}_flags}
+start_precmd="smbd_precmd"
# load_rc_config_var() from /etc/rc.subr on the netbsd-3 branch, for
# the benefit of platforms with older versions of /etc/rc.subr.
@@ -28,6 +29,15 @@ load_rc_config_var()
)' )
}
+smbd_precmd()
+{
+ if ! [ -f /proc/cpuinfo ]; then
+ echo "WARNING: Samba requires a Linux-compatible procfs!"
+ echo "WARNING: Please mount /proc before starting Samba."
+ fi
+}
+
+
load_rc_config $name
load_rc_config_var nmbd nmbd
run_rc_command "$1"
Index: pkgsrc/net/samba4/files/winbindd.sh
diff -u pkgsrc/net/samba4/files/winbindd.sh:1.1 pkgsrc/net/samba4/files/winbindd.sh:1.2
--- pkgsrc/net/samba4/files/winbindd.sh:1.1 Tue May 12 12:19:52 2015
+++ pkgsrc/net/samba4/files/winbindd.sh Mon Jun 21 10:23:48 2021
@@ -1,6 +1,6 @@
#!@RCD_SCRIPTS_SHELL@
#
-# $NetBSD: winbindd.sh,v 1.1 2015/05/12 12:19:52 ryoon Exp $
+# $NetBSD: winbindd.sh,v 1.2 2021/06/21 10:23:48 nia Exp $
#
# PROVIDE: winbindd
# REQUIRE: DAEMON
@@ -13,6 +13,15 @@ command="@PREFIX@/sbin/${name}"
pidfile="@SMB_PID@/${name}.pid"
required_files="@SMB_CONFIG@/smb.conf"
extra_commands="reload"
+start_precmd="winbindd_precmd"
+
+winbindd_precmd()
+{
+ if ! [ -f /proc/cpuinfo ]; then
+ echo "WARNING: Samba requires a Linux-compatible procfs!"
+ echo "WARNING: Please mount /proc before starting Samba."
+ fi
+}
load_rc_config $name
run_rc_command "$1"
Home |
Main Index |
Thread Index |
Old Index